// Vase for 3D Printing Workshop
// By M & I Schonfeld

// Constants  
mm=25.4;  // used to specify dimensions in inches instead of mm

// Definitions
myColor = "cyan";
myFacetAngle=45;
myHeight = 5*mm;					// height = 5 inches
myRadius = 1.3*mm;  			// measured at 0, 0, 0
myRidgeDiameter = .12*mm;	// was 3;
myTwist = -210;  					// was -190
testsize = 3.5;


// twisted area
 
	for (i=[0:6:359])
	{
		// one twist
		rotate([-25,0,i])    // -25 nice
		color(myColor)
		linear_extrude(height = myHeight, center = true, 
								convexity = 10, twist = myTwist)
		translate([myRadius, 0, 0])

     circle(r = myRidgeDiameter, $fa=myFacetAngle, $fn=360/myFacetAngle);
	}
 

// flat base 
	translate([0,0,-38.5]) color (myColor)
	cylinder(h=5, r=25, $fa=20);


// translate([0,0,-70])    cylinder(h=5, r=testsize/2*mm);
